Bug 90276 - Some drivers are missing a copy_from_user() function call
Summary: Some drivers are missing a copy_from_user() function call
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
(Show other bugs)
Version: 9
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-05-06 12:10 UTC by Arjan van de Ven
Modified: 2007-04-18 16:53 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-05-14 18:09:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2003:172 normal SHIPPED_LIVE : Updated 2.4 kernel fixes security vulnerabilities and various bugs 2003-09-05 04:00:00 UTC

Description Arjan van de Ven 2003-05-06 12:10:28 UTC
Description of problem: 
 
The stanford checker has found several cases where userspace pointers are dereferenced 
directly instead of going via copy_from_user. 
Drivers include the sx (serial) driver and the zoran video capture driver

Comment 1 Arjan van de Ven 2003-05-14 18:09:58 UTC
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2003-172.html



Note You need to log in before you can comment on or make changes to this bug.